// PrimaryNodeTestBase.java - base unit tests for PrimaryNode subclasses.

package org.newsml.toolkit.dom.unittests;

import junit.framework.Test;
import junit.framework.TestCase;

import org.newsml.toolkit.PrimaryNode;

public abstract class PrimaryNodeTestBase extends TestCase
{
    protected PrimaryNodeTestBase (String name)
    {
	super(name);
    }

    protected abstract PrimaryNode getPrimaryNode ();

    public void testNewsMLCast ()
    {
	assertNull(getPrimaryNode().asNewsML());
    }

    public void testNewsItemCast ()
    {
	assertNull(getPrimaryNode().asNewsItem());
    }

    public void testNewsComponentCast ()
    {
	assertNull(getPrimaryNode().asNewsComponent());
    }

    public void testNewsItemRefCast ()
    {
	assertNull(getPrimaryNode().asNewsItemRef());
    }

    public void testContentItemCast ()
    {
	assertNull(getPrimaryNode().asContentItem());
    }

}

// end of PrimaryNodeTestBase.java
